import send_request from '../utils/send_request';

/**
 * 获取商品列表
 * @returns
 */
export function getCateList(params) {
    return send_request({
        url: '/shop/good/manage/getCategoryList',
        method: 'GET',
        params: params,
    });
};

/**
 * 添加/修改商品信息
 * @returns
 */
export function editCate(params) {
    return send_request({
        url: '/shop/good/manage/editCategory',
        method: 'POST',
        useQS: true,
        params: params,
    });
};

/**
 * 删除商品
 * @returns
 */
export function deleteCate(params) {
    return send_request({
        url: '/shop/good/manage/deleteCategory',
        method: 'POST',
        useQS: true,
        params: params,
    });
};

/**
 * 导出商品列表
 * @returns
 */
export function exportCateList(params) {
    return send_request({
        url: '/shop/good/manage/exportCategoryList',
        method: 'GET',
        params: params,
    });
};
